<script setup>
import GuestLayout from '@/Layouts/GuestLayout.vue';
import BackMobile from "@/Components/Items/Auth/BackMobile.vue";
import { Head, useForm } from '@inertiajs/vue3';
import Steps from "@/Components/Items/Auth/Steps.vue";
import {computed, provide, ref} from "vue";
import {VueRecaptcha} from 'vue-recaptcha';

const props = defineProps({
    status: {
        type: String,
    },
});

const form = useForm({
    code:null,
});

const currentStep = ref(2)
provide('currentStep',currentStep)

const submit = () => {
    form.post(route('verification.verify'),{
        preserveScroll: true,
    });
};

const submitResetVerificationCode = () => {
    form.post(route('verification.send'),{
        preserveScroll: true,
    });
}

const verificationLinkSent = computed(() => props.status === 'verification-link-sent');

let isModalAcitve = ref(true);

</script>

<template>
    <GuestLayout>
        <Head title="Регистрация" />
        <BackMobile/>
        <section class="reg">
            <img class="reg__background" src="/img/regBack.svg" alt="">
            <img class="reg__background dark" src="/img/regBackDark.svg" alt="">
            <div class="container">
                <div class="reg__inner">
                    <Steps />
                    <div class="reg__right-page active" >
                        <p class="reg__right-title">Регистрация </p>
                        <p class="reg__right-desc">Вам отправлено письмо с кодом подтверждения. Пожалуйтса введите код</p>
                        <p class="reg__right-email"> {{ $page.props.auth.user.email }}</p>
                        <div class="reg__input-wrapper">
                            <div class="reg__input-left">
                                <svg class="error" width="13" height="13" viewbox="0 0 13 13" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <circle cx="6.5" cy="6.5" r="5.5" stroke="#FF5C00" stroke-width="2"></circle>
                                </svg>
                                <svg class="success" width="13" height="9" viewbox="0 0 13 9" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M1 4L5 8L12 1" stroke="#35D863" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                                </svg>
                            </div>
                            <div class="reg__input-right">
                                <input v-model="form.code" class="reg__input" type="text" placeholder="Введите код">
                                <p v-if="form.errors.code" style="opacity: 1" class="reg__input-error">{{ form.errors.code }}</p>
                            </div>
                        </div>
                        <button @click.prevent="submit()" class="js-next reg__but button">Зарегистрироваться</button>
                        <a @click.prevent="submitResetVerificationCode()" class="reg__haveAcc" href="">Не пришел код,
                            <span>отправить повторно</span>
                        </a>
                        <div>
                            <a v-if="verificationLinkSent" class="footer__content-item" >Код успешно отправлен</a>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <div class="modal__background" :class="{active: isModalAcitve}"></div>
        <div class="modal" :class="{active: isModalAcitve}">
            <div class="modal__notRobot">
                <VueRecaptcha
                    :sitekey="'6LcNN64lAAAAAJ4EvvaeMj-pPcQHbZUrkQnLASOu'"
                    @verify="() => isModalAcitve = false"/>
            </div>
        </div>
    </GuestLayout>
</template>

